org.apache.ignite.internal.processors.cache

## Class GridCacheProjectionImpl.KeyValueFilter<K,V>

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheProjectionImpl.KeyValueFilter<K,V>

Type Parameters:
  `K` - Key type.
  `V` - Value type.

All Implemented Interfaces:
  Serializable, IgniteBiPredicate<K,V>

Enclosing class:
  GridCacheProjectionImpl<K,V>

    public static class GridCacheProjectionImpl.KeyValueFilter<K,V>
    extends Object
    implements IgniteBiPredicate<K,V>

See Also:
  Serialized Form

### Method Summary

Methods
`boolean` `apply(K k, V v)` Predicate body.
`IgniteBiPredicate<K,V>` `filter()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### filter

    public IgniteBiPredicate<K,V> filter()

Returns:
  Key-value filter.

#### apply

    public boolean apply(K k,
                V v)

Predicate body.

Specified by:
  `apply` in interface `IgniteBiPredicate<K,V>`
Parameters:
  `k` - First parameter.
  `v` - Second parameter.
Returns:
  Return value.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015